<?php

namespace BitGoblin\MCST\Minecraft;

class Server {

  // server root directory
  private string $rootDir;
  // PID file path
  private string $pidFilePath;
  // server run status
  private bool $state = false;

  // class constructor
  public function __construct($dir) {
    $this->rootDir = $dir;
    $this->pidFilePath = $dir . '/pid.txt';

    // search for server state
    if (file_exists($this->pidFilePath)) {
      $this->state = true;
    }
  }

  // start the server
  public function start(): void {
    // TODO - for now just set the state to true
    $this->state = true;
  }

  // stop the server
  public function stop(): void {
    // TODO - for now just set the state to false
    $this->state = false;
  }

  // getters & setters
  public function getDirectory(): string {
    return $this->rootDir;
  }
  public function getState(): bool {
    return $this->state;
  }

}
